SICONOS_FILTER(1)

NAME
siconos_filter - Filter the contents of a Siconos mechanics-IO HDF5 simulation file.

DESCRIPTION
usage: siconos_filter [-h] [--start time] [--end time] [--interval time]

[--gzip] [--single] [--exclude EXCLUDE] [--attr ATTR]
    [-V] input [input ...] output

Description: Filter the contents of a Siconos mechanics-IO HDF5 simulation file.

  positional arguments:

input
    input file(s) (HDF5)

output
    output file (HDF5)

  options:

-h, --help
    show this help message and exit

--start time
    time in seconds to cut the start of the simulation

--end time
    time in seconds to cut the end of the simulation

--interval time
    time between frames to preserve

--gzip
    enable compression in copy

--single
    use single-precision floats in copy

--exclude EXCLUDE
    specify objects to exclude from copy (comma-separated)

--attr ATTR
    specify attributes to change during copy (obj.name=value)

-V, --version
    show program's version number and exit

SEE ALSO
The Siconos Software Documentation

http://siconos.gforge.inria.fr